Create a named provider installation
const url = 'https://api.adversarial.com/api/v1/integrations/example/installations';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"auth_method":"api_key","connection":{},"credentials":{},"display_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/integrations/example/installations \ --header 'Content-Type: application/json' \ --data '{ "auth_method": "api_key", "connection": {}, "credentials": {}, "display_name": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Provider slug
Request Bodyrequired
Section titled “Request Bodyrequired”A new installation of a provider.
object
Authentication method selected from the provider catalog.
Provider connection values that do not contain secrets.
object
Complete write-only input for the selected authentication method.
object
Installation name, unique among this organization’s installations of the provider.
Responses
Section titled “Responses”Installation created
One installed provider connection.
object
Safe authentication error, cleared after successful recovery.
Time of the most recent authentication failure.
Sequential authentication failures since the last accepted provider request.
Selected authentication method.
Capability configurations owned by this installation.
One capability configuration under an installation.
object
Capability identifier.
Complete validated configuration value.
object
Creation time.
Name that tells sibling configurations of one capability apart under one installation.
Whether the platform can execute this configuration.
Configuration identifier.
Installation whose credential this configuration runs with.
Last update time.
Non-secret connection values.
object
Creation time.
Whether encrypted credentials are present.
Operator-chosen installation name, unique per organization and provider.
Installation identifier.
Service account the platform acts as for this installation.
Canonical provider identifier.
Current lifecycle status.
Last update time.
Example
{ "auth_method": "api_key", "configs": [ { "capability": "RISK_REGISTER" } ]}Invalid provider configuration
Unknown provider
Installation name is already in use